Bug Hunting Session
Bug 105014 - Crash when Click "Add Separator" in Customize Toolbox / Crash in: SvxConfigPage::InsertEntry(SvxConfigEntry *,SvTreeListEntry *,bool), cuilo.dll
Summary: Crash when Click "Add Separator" in Customize Toolbox / Crash in: SvxConfigPa...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Muhammet Kara
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-12-31 06:47 UTC by baffclan
Modified: 2017-01-18 13:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SvxConfigPage::InsertEntry(SvxConfigEntry *,SvTreeListEntry *,bool)", "cuilo.dll"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description baffclan 2016-12-31 06:47:34 UTC
Steps to Reproduce:
1. Start LibreOffice
2. Menubar Tool -> Customize, appear Customize toolbox
3. Select "Context Menus" tab
4. Click "Add Separator"

Actual Results:
5. Crash a Libreoffice


LiBo-5.3.0RC1
Version: 5.3.0.1 (x64)
Build ID: 3b800451b1d0c48045de03b5b3c7bbbac87f20d9
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: ja-JP (ja_JP); Calc: group

br-bbaad374-5e93-4d40-afc3-892eb3262052
br-8381dbbe-2ce2-4328-814c-f501b42d4e9e


LibO-Dev-master
Version: 5.4.0.0.alpha0+ (x64)
Build ID: 654b86cf3425d7a49b13a97e4b11223d43b9e86e
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-12-20_22:52:05
Locale: ja-JP (ja_JP); Calc: group

br-fcf142c8-e8e9-4024-bcaf-551b3fdad341
br-99a8bc01-e77a-42a6-96a9-7aa407a8a10d
Comment 1 Julien Nabet 2016-12-31 10:57:29 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this even with rendering=gen.
Comment 2 Telesto 2016-12-31 12:29:18 UTC
Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: a7c51323b7343f82b5aea6098f5d5e31a8bad0e9
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-29_23:35:20
Locale: nl-NL (nl_NL); Calc: CL

Bug occurs only in Start Center
Comment 3 Aron Budea 2017-01-08 21:34:58 UTC
I could get a backtrace with WinDbg, but am getting errors like this:
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for E:\LibreOffice\LO_5300beta2\program\mergedlo.dll -

My symbol settings are set up according to the steps here:
https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
Comment 4 Maxim Monastirsky 2017-01-08 21:58:29 UTC
The "Add Separator" button should be disabled when there are no menus to edit, like how it's disabled in the Toolbars tab. Same applies to the "Add Submenu" button. This is a regression compared to 5.2, where the single "Modify" button was correctly disabled.

Adding Muhammet to CC, as he was working on this dialog according to the release notes.
Comment 5 Xisco Faulí 2017-01-08 23:01:20 UTC
Regression introduced by:

author	Muhammet Kara <muhammet.kara@pardus.org.tr>	2016-09-05 13:36:59 (GMT)
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-09-07 15:21:00 (GMT)
commit	3b3feeff98385bccce14b83bf32f079f624550c6 (patch)
tree	726ca1e8ac6277680e322e378e3ffbf6b6eb6a30
parent	bece2e8415a9ef33bba492569c7c21e58878a836 (diff)
tdf#82840 Add 'Add Separator' button to toolbar customization
Add 'Add Separator' button to the 'Customize' dialog's
'Menus', 'Context Menus', and 'Toolbars' tabs. And remove the
'Add Separator' item from the 'Modify' menu.

In the following commits, more widgets will be added
and moved around to achieve the suggested appearance
and functionality in the related bug report.
Comment 6 Muhammet Kara 2017-01-09 10:43:32 UTC
Thank you a lot for catching/reporting this bug, and CC'ing me.
Comment 7 Muhammet Kara 2017-01-12 08:49:38 UTC
I have submitted a patch to fix this issue. You are welcome to test it: https://gerrit.libreoffice.org/#/c/32987/
Comment 8 Commit Notification 2017-01-17 13:09:40 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce0f9962d1d1d5a4f6301be18c23b2d14efd9d6b

tdf#105014: Disable related buttons when there is no menu to edit

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-01-17 22:27:03 UTC
Hi Muhammet,
Thank you very much for fixing this.
Could you please backported it to 5.3 ?
Comment 10 Commit Notification 2017-01-18 09:05:31 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b35ea66a9381c4ddee52bb9aa94b51ecaff98605&h=libreoffice-5-3

tdf#105014: Disable related buttons when there is no menu to edit

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Muhammet Kara 2017-01-18 09:28:38 UTC
(In reply to Xisco Faulí from comment #9)
> Hi Muhammet,
> Thank you very much for fixing this.
> Could you please backported it to 5.3 ?

Done! :)
Comment 12 Commit Notification 2017-01-18 13:32:39 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c0f023142f3f85f6de384e43da6d620e5c6082a&h=libreoffice-5-3-0

tdf#105014: Disable related buttons when there is no menu to edit

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.